-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlArtifact

Declaration :

- C++ : class UmlArtifact : public UmlBaseArtifact
- Java : class UmlArtifact extends UmlBaseArtifact

This class manages 'artifacts'
You can modify it as you want (except the constructor)

Artifact : UmlArtifact

Operation UmlArtifact

Declaration :

- C++ : public: UmlArtifact(void * id, const QCString & n) : UmlBaseArtifact(id, n)
- Java : public UmlArtifact(long id, String n)

All public operations :

addAssociatedArtifact , addAssociatedClass , apply , associatedArtifacts , associatedClasses , associatedDiagram , children , childrenVisible , cppHeader , cppSource , create , defined_ , description , identifier_ , idlSource , isMarked , isToolRunning , isWritable , javaSource , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , removeAllAssociatedArtifacts , removeAssociatedArtifact , removeAssociatedClass , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_CppHeader , set_CppSource , set_Description , set_IdlSource , set_isMarked , set_JavaSource , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload